#
# spec file for package gnome-session (Version 2.2.2)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  control-center2 gnome2-devel-packages tcpd
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel control-center2 cracklib esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libjpeg libtool libwnck libwnck-devel libxml2 libxml2-devel linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel rpm tcpd update-desktop-files

Name:         gnome-session
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:      GPL, LGPL
Group:        System/GUI/GNOME
Autoreqprov:  on
Version:      2.2.2
Release:      108
Summary:      Session Tools for the GNOME 2.x Desktop
Source:       gnome-session-%{version}.tar.bz2
Source1:      gnome
URL:          http://www.gnome.org
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       filesystem
Requires:     control-center2
Obsoletes:    gnome-core
# add script to run after session completion
Patch:        start-intro.dif
Patch1:       splash.dif

%description
This package provides the basic session tools, like session management
functionality, for the GNOME 2.x Desktop.



Authors:
--------
    Tom Tromey <tromey@cygnus.com>
    Felix Bellaby <felix@pooh.u-net.com>
    Ralph Mor, X Consortium
           

%prep
%setup -n gnome-session-%{version} 
%patch -p1
%patch1 -p1

%build
ac_cv_path_PATH_TO_XRDB=/usr/X11R6/bin/xrdb \
ac_cv_path_RSH_COMMAND=/usr/bin/rsh \
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
#
# install startup script
install -d -m755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -m755 %SOURCE1 $RPM_BUILD_ROOT/usr/X11R6/bin/gnome
gzip -9nf $RPM_BUILD_ROOT%{prefix}/man/man?/*.?
%find_lang %{name}-2.0

%post
echo -n " gnome-session.schemas " >> var/adm/SuSEconfig/run-gconf2-schema-installation

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}-2.0.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
/usr/X11R6/bin/gnome
%{prefix}/bin/*
%{prefix}/share/omf/*
%{prefix}/share/pixmaps/*
# %{prefix}/share/pixmaps/splash
%{prefix}/share/gnome/default.session
%{prefix}/share/gnome/default.wm
/etc/%{prefix}/gconf/schemas/gnome-session.schemas
%{prefix}/share/control-center-2.0/capplets/session-properties.desktop
%{prefix}/man/man?/*

%changelog -n gnome-session
* Mon Feb 23 2004 - sbrabec@suse.cz
- Removed incorrect initialization of LD_LIBRARY_PATH (bug #34777).
* Mon Sep 22 2003 - hhetter@suse.de
- obsolete gnome-core (Bug Id # 31480)
- remove intro script from default session (Bug Id#29807)
* Fri Sep 05 2003 - sbrabec@suse.cz
- gnome: Prevent GTK1 theme overlay (bug 25645, comment #36).
* Fri Sep 05 2003 - hhetter@suse.de
- add support for preconfigured gnome1 settings
* Tue Aug 05 2003 - sbrabec@suse.cz
- Session start script gnome: don't use GNOMEPATH, updated GTK_RC_FILES.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Updated neededforbuild.
- Use %%find_lang.
- Added support for tcpd.
- Require control-center2.
- Removed distribution desktop files.
* Wed May 28 2003 - sbrabec@suse.cz
- Compress manpages.
* Wed May 28 2003 - ro@suse.de
- added manpages to filelist
* Tue Mar 18 2003 - sbrabec@suse.cz
- Variables already set in profile files removed from session startup
  file (consequence of bugfixes #25086, #25170, #25575).
- Manage GTK1 themes with gnome-theme-manager (set GTK_RC_FILES).
* Mon Mar 17 2003 - sbrabec@suse.cz
- Removed /opt/gnome2 from GNOME2_PATH (fixes #24601).
* Mon Mar 03 2003 - hhetter@suse.de
- remove documents directories (Bug Id#24589)
- add search path for KDE icons (Bug Id#24590)
* Mon Feb 24 2003 - hhetter@suse.de
- mention feedback website in session script
  instead of feedback@suse.de
* Thu Feb 20 2003 - hhetter@suse.de
- set G_BROKEN_FILENAMES=1 to handle invalid UTF8
  filenames as local-specific
* Tue Feb 18 2003 - hhetter@suse.de
- fill solid color at first time
* Fri Feb 14 2003 - hhetter@suse.de
- use GTK_DATA_PREFIX while in GNOME Session
* Thu Feb 13 2003 - hhetter@suse.de
- set GNOME2_PATH in session
* Tue Feb 11 2003 - hhetter@suse.de
- fix documents-file creation
* Mon Feb 10 2003 - hhetter@suse.de
- updated to version 2.2.0.2 [GNOME 2.2.0]
- removed Intro script (moving to preconfiguration package)
- allow for different splash image via preconfiguration package
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0.1
- some SLOD feature backports
  (file type desktop links, Intro script)
* Thu Jan 16 2003 - sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.9 [GNOME 2.0.3]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Wed Nov 06 2002 - hhetter@suse.de
- use correct kde-datadir
- no longer create .gnome for gnome-vfs2
- look for addon scripts to run on first start
* Tue Oct 22 2002 - hhetter@suse.de
- updated to version 2.0.10
- removed wrong docdir
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 17 2002 - hhetter@suse.de
- added correct hu translations
* Mon Sep 02 2002 - hhetter@suse.de
- set background to gray until splash becomes visible
  (reviewed by Ken)
* Thu Aug 29 2002 - hhetter@suse.de
- rename gnome2 to gnome, to keep the GNOME session for
  users who are updating the distribution (Bug Id#18552)
* Thu Aug 22 2002 - hhetter@suse.de
- use jpg as wallpaper format for preconfiguration
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 - hhetter@suse.de
- remove control-center deps from neededforbuild
* Thu Aug 08 2002 - hhetter@suse.de
- updated to version 2.0.5, bug id's relate to bugzilla.gnome.org
  * Fix crashing when starting emacs, #89968
* Mon Aug 05 2002 - hhetter@suse.de
- updated to version 2.0.4
  * amend global save to Both if user selects save session
  * capplet saving state fix
  * translation updates
* Thu Aug 01 2002 - hhetter@suse.de
- include the session startup script
* Tue Jul 30 2002 - hhetter@suse.de
- updated to version 2.0.3
  session-manager:
  * Re-write the splash screen to not use the canvas
  * Fix crash with logout dialog
  * Make file selector when editing startup programs modal
  * Increased initial client timeout to 30 seconds
  Translation updates
* Tue Jul 23 2002 - hhetter@suse.de
- updated to version 2.0.2
* Thu Jun 20 2002 - hhetter@suse.de
- updated to version 2.0.1
- don't install schemas while make install
* Mon Jun 17 2002 - ro@suse.de
- use libpng-devel-packages in neededforbuild
* Fri Jun 14 2002 - hhetter@suse.de
- provide schema file
- filelist rework
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.5.21, source frozen
* Mon Apr 15 2002 - hhetter@suse.de
- initial SuSE Release
